# 开发指南

## 开发环境

node 版本是 14.x 或以上，少数旧项目使用 12.x 。

## 前端项目说明

- 移动端 Web 应用使用 vue2，以 cloud_wallet 为模版，初始化项目
- 移动端 Web 应用使用 vue3，以 superdesk-ui-h5 为模版，初始化项目
- 长期维护项目下的`@/utils`

```text
getAPI 以上是通用的方法封装，以下根据实际项目写
```

- 接手项目维持现状，需要什么就搬什么，例如 utils 直接堆代码在 index.js 下就行了
- 浮点数运算使用 decimal.js
- 时间和日期计算使用 day.js

## 代码提交信息规范

Git commit 信息可参考[《约定式提交》文档](https://www.conventionalcommits.org/zh-hans/v1.0.0/)，但不做强制要求。

- `feat` 新功能
- `fix` 修补 bug
- `docs` 文档
- `style` 格式、样式(不影响代码运行的变动)
- `refactor` 重构(即不是新增功能，也不是修改 BUG 的代码)
- `perf` 优化相关，比如提升性能、体验
- `test` 添加测试
- `build` 编译相关的修改，对项目构建或者依赖的改动
- `ci` 持续集成修改
- `chore` 构建过程或辅助工具的变动
- `revert` 回滚到上一个版本
- `workflow` 工作流改进
- `mod` 不确定分类的修改
- `wip` 开发中
- `types` 类型

## 前端项目上线

使用`ftp`工具上传打包产物到服务器上。

小程序

```html
<p style="text-align: center; color: #999; margin: 20px">
  体验版本号@2.9.0-202405221740
</p>
```
